# Cache File - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# Cache File

Since sing-box 1.8.0

Changes in sing-box 1.14.0

store_rdrc
store_dns

Changes in sing-box 1.9.0

store_rdrc
rdrc_timeout

### Structure

    {
      "enabled": true,
      "path": "",
      "cache_id": "",
      "store_fakeip": false,
      "store_rdrc": false,
      "rdrc_timeout": "",
      "store_dns": false
    }

### Fields

#### enabled

Enable cache file.

#### path

Path to the cache file.

`cache.db` will be used if empty.

#### cache_id

Identifier in the cache file

If not empty, configuration specified data will use a separate store keyed by it.

#### store_fakeip

Store fakeip in the cache file

#### store_rdrc

Deprecated in sing-box 1.14.0

`store_rdrc` is deprecated and will be removed in sing-box 1.16.0, check Migration.

Store rejected DNS response cache in the cache file

The check results of Legacy Address Filter Fields will be cached until expiration.

#### rdrc_timeout

Timeout of rejected DNS response cache.

`7d` is used by default.

#### store_dns

Since sing-box 1.14.0

Store DNS cache in the cache file.